inspectIT agent 1.6.8.8.2 fatal error on Jboss43cp09 jdk 1.5.0_22

Description

Hi to everyone,

We are trying to install inspectIT agent to collect metrics from a JBoss 43CP09 (running with JDK 1.5.0_22).
As we read on manuals, this agent version should be compatible with JDK version from 1.5 and above.
At the beginning, the normal jar (inspectit.installer-all.linux.x64-1.6.8.82.jar) downloaded from repository gave us this error:

Invalid or corrupted file (we are sure about md5 checksum)

After uncompressed and recompiled a new jar, the "invalid" error desappeared, and we put the jar in run.conf, with the following script:

and started.

In STDout log , during the start process, we can see this error

and, after this, the JVM crash down.

Environment

  • Red Hat Enterprise Linux Server release 5.6 (Tikanga) 64bit

  • Jboss43cp09

  • jdk 1.5.0_22

  • agent 1.6.8.8.2

Activity

Show:
Ivan Senic
September 20, 2017, 8:04 AM
Edited

There's not much we can do as this relates to old bug INSPECTIT-2184. Users on jre 1.5 can try with version 1.6.7. We are anyway not anymore supporting Java 5.

Won't Fix

Assignee

Unassigned

Reporter

Lorenzo Guglielmo

Labels